## visad
Class VisADLineArray

    java.lang.Object
      visad.VisADSceneGraphObject
          visad.VisADGeometryArray
              visad.VisADLineArray

All Implemented Interfaces:
  Cloneable, Serializable

public class VisADLineArray
extends VisADGeometryArray

VisADLineArray stands in for j3d.LineArray and is Serializable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.VisADGeometryArray
`any_longitude_rotate, colors, coordinates, longitude_axis, longitude_coords, longitude_cs, longitude_map, normals, texCoords, vertexCount, vertexFormat`

Fields inherited from class visad.VisADSceneGraphObject
`parent`

Constructor Summary
`VisADLineArray()`

Method Summary
`VisADGeometryArray` `adjustLongitude(DataRenderer renderer)` split any vectors or triangles crossing crossing longitude seams when Longitude is mapped to a Cartesian display axis; default implementation: rotate if necessary, then return points
`VisADGeometryArray` `adjustSeam(DataRenderer renderer)` eliminate any vectors or triangles crossing seams of map projections, defined by display-side CoordinateSystems; this default implementation does nothing
`Object` `clone()` Clone this VisADLineArray
`static VisADLineArray` `merge(VisADLineArray[] arrays)` Merge an array of VisADLineArrays into a single VisADLineArray.
`VisADGeometryArray` `removeMissing()`

Methods inherited from class visad.VisADGeometryArray
`adjustLongitudeBulk, byteArrayString, copy, floatArrayString, getLongitudeRange, getLongitudes, getLongitudes, merge, rotateLongitudes, rotateOneLongitude, toString`

Methods inherited from class visad.VisADSceneGraphObject
`detach`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VisADLineArray

    public VisADLineArray()

Method Detail

### merge

    public static VisADLineArray merge(VisADLineArray[] arrays)
                                throws VisADException

  Merge an array of VisADLineArrays into a single VisADLineArray.

  Parameters:
    `arrays` - array of VisADLineArrays (may be null)
  Returns:
    a single VisADLineArray with all the info of arrays. returns null if input is null.
  Throws:
    `VisADException`

### adjustLongitude

    public VisADGeometryArray adjustLongitude(DataRenderer renderer)
                                       throws VisADException

  Description copied from class: `VisADGeometryArray`
  split any vectors or triangles crossing crossing longitude seams when Longitude is mapped to a Cartesian display axis; default implementation: rotate if necessary, then return points

  Overrides:
    `adjustLongitude` in class `VisADGeometryArray`
  Throws:
    `VisADException`

### adjustSeam

    public VisADGeometryArray adjustSeam(DataRenderer renderer)
                                  throws VisADException

  eliminate any vectors or triangles crossing seams of map projections, defined by display-side CoordinateSystems; this default implementation does nothing

  Overrides:
    `adjustSeam` in class `VisADGeometryArray`
  Throws:
    `VisADException`

### removeMissing

    public VisADGeometryArray removeMissing()

  Overrides:
    `removeMissing` in class `VisADGeometryArray`

### clone

    public Object clone()

  Clone this VisADLineArray

  Specified by:
    `clone` in class `VisADGeometryArray`
  Returns:
    clone of this